//
// Test application
//
// AvkonVideoOverlay
// videocontrol.h
//

#ifndef VIDEOCONTROL_H
#define VIDEOCONTROL_H

#include <coecntrl.h>
#include <videoplayer2.h>

class CVideoControl
:   public CCoeControl
,   public MVideoPlayerUtilityObserver
    {
    // Give access to Components() array
    friend class CAvkonVideoOverlayAppUi;

public:
    CVideoControl();
    ~CVideoControl();
    void ConstructL(CCoeControl* aParent = 0);

private:
    // MVideoPlayerUtilityObserver
    void MvpuoOpenComplete(TInt aError);
    void MvpuoPrepareComplete(TInt aError);
    void MvpuoFrameReady(CFbsBitmap& aFrame, TInt aError);
    void MvpuoPlayComplete(TInt aError);
    void MvpuoEvent(const TMMFEvent& aEvent);

private:
    // CCoeControl
    void SizeChanged();

private:
    CVideoPlayerUtility2* iPlayer;
    };

#endif // VIDEOCONTROL_H

