//
// Test application
//
// AvkonVideoOverlay
// avkonvideooverlayview.cpp
//

#include "avkonvideooverlayappui.h"
#include "avkonvideooverlaydefs.h"
#include "avkonvideooverlayview.h"
#include <eikenv.h>

CAvkonVideoOverlayAppView* CAvkonVideoOverlayAppView::NewL()
	{
	CAvkonVideoOverlayAppView* self = new(ELeave) CAvkonVideoOverlayAppView();
	CleanupStack::PushL(self);
	self->ConstructL();
	CleanupStack::Pop();
	return self;
	}

CAvkonVideoOverlayAppView::CAvkonVideoOverlayAppView()
    {

    }

CAvkonVideoOverlayAppView::~CAvkonVideoOverlayAppView()
	{
    RDebug::Printf("CAvkonVideoOverlayAppView::~CAvkonVideoOverlayAppView 0x%08x", this);
	}

void CAvkonVideoOverlayAppView::ConstructL()
	{
	CreateWindowL();
	InitComponentArrayL();
	RDebug::Printf("CAvkonVideoOverlayAppView::ConstructL 0x%08x window 0x%08x", this, &Window());
	}

void CAvkonVideoOverlayAppView::SizeChanged() 
	{
    RDebug::Printf("CAvkonVideoOverlayAppView::SizeChanged 0x%08x %d %d", this, Size().iWidth, Size().iHeight);
    for (CCoeControlArray::TCursor cursor = Components().Begin();
         Components().End() != cursor; cursor.Next())
        {
        cursor.Control<CCoeControl>()->SetRect(TRect(20, 20, Size().iWidth-20, Size().iHeight-20));
        }
	}

void CAvkonVideoOverlayAppView::Draw(const TRect& aRect) const
	{
    RDebug::Printf("CAvkonVideoOverlayAppView::Draw 0x%08x", this);
	CWindowGc& gc = SystemGc();
	gc.SetBrushColor(TRgb(255, 255, 255));
	gc.SetBrushStyle(CGraphicsContext::ESolidBrush);
	gc.Clear(aRect);
	}


