//
// Test application
//
// AvkonVideoOverlay
// overlaycontrol.cpp
//

#include "overlaycontrol.h"

COverlayControl::COverlayControl()
    {

    }

COverlayControl::~COverlayControl()
    {
    RDebug::Printf("COverlayControl::~COverlayControl 0x%08x", this);
    }

void COverlayControl::ConstructL(CCoeControl* aParent)
    {
    if (aParent)
        {
        CreateWindowL(aParent);
        }
    else
        {
        CreateWindowL(CCoeEnv::Static()->RootWin());
        }
    RWindow& window = static_cast<RWindow&>(Window());
    const TDisplayMode displayMode = static_cast<TDisplayMode>(window.SetRequiredDisplayMode(EColor16MA));
    if (window.SetTransparencyAlphaChannel() == KErrNone)
        window.SetBackgroundColor(TRgb(255, 255, 255, 0));
    MakeVisible(ETrue);
    ActivateL();
    RDebug::Printf("COverlayControl::ConstructL 0x%08x parent 0x%08x window 0x%08x", this, aParent, &Window());
    }

void COverlayControl::Draw(const TRect& aRect) const
    {
    RDebug::Printf("COverlayControl::Draw 0x%08x", this);
    CWindowGc& gc = SystemGc();
    gc.SetBrushColor(TRgb(255, 0, 0, 128));
    gc.SetBrushStyle(CGraphicsContext::ESolidBrush);
    gc.Clear(aRect);
    }

